"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

LibraryDefinition subclass:#stx_libtool
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libtool class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libtool.
    This library contains developer tools.
"
! !

!stx_libtool class methodsFor:'description'!

excludedFromPreRequisites
    "list packages which are to be explicitely excluded from the automatic constructed
     prerequisites list. If empty, everything that is found along the inheritance of any of
     my classes is considered to be a prerequisite package."

    ^ #(
	#'stx:goodies'    "WindowMigrationServer - referenced by AbstractSettingsApplication::MiscCommunicationSettingsAppl>>hasUnsavedChanges "
	#'stx:goodies/communication'    "SmalltalkShareServer - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
	#'stx:goodies/rdoit'    "RDoItServer - referenced by AbstractSettingsApplication::RDoItServerSettingsAppl>>basicSaveSettings "
	#'exept:CC'    "CBrowser::Browser - referenced by FileBrowser>>hasCBrowser "
	#'stx:clients/Demos'    "Demos::ChickenFun - referenced by NewLauncher>>chickenFunIsRunning "
	#'stx:clients/MailTool'    "SendMailTool - referenced by DebugView>>initializeButtonsIn: "
	#'stx:clients/Tools'    "ZipTool - referenced by AbstractFileBrowser>>openZipTool "
	#'stx:libjava'
	#'stx:libjavascript'
	#'stx:goodies/sif'    "SmalltalkInterchangeFileManager - referenced by Tools::NewSystemBrowser>>projectMenuFileOutAsWithFormat: "
	#'stx:goodies/soap'    "SOAP::SoapHttpModule - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
	#'stx:goodies/sunit'    "TestResult - referenced by Tools::NewSystemBrowser>>runTestCasesWithDebug: "
	#'stx:goodies/webServer'    "HTTPEmbeddedApplicationService - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
	#'stx:goodies/webServer/ui'    "HTTPServerSettingsAppl - referenced by AbstractSettingsApplication::HTTPStartServerSettingsApplication>>hasCreatedServer "
	#'stx:goodies/xml/vw'    "XML::SourceNodeBuilder - referenced by ChangesBrowser class>>readXMLChangesFrom:inBackground: "
	#'exept:xml'    "XMLRepresenter - referenced by Tools::NewSystemBrowser>>canFileOutXML "
	#'stx:goodies/refactoryBrowser/browser'    "MethodNameDialog - referenced by Tools::NewSystemBrowser>>renameMethod:in: "
	#'stx:goodies/refactoryBrowser/changes'    "RefactoryChangeManager - referenced by Tools::NewSystemBrowser>>setUndoCount "
	#'stx:goodies/refactoryBrowser/helpers'    "RBAbstractClass - referenced by Tools::NewSystemBrowser>>handlingRefactoringErrorDo: "
	#'stx:goodies/refactoryBrowser/lint'    "ParseTreeLintRule - referenced by Tools::ClassChecker>>guardingClause "
	#'stx:goodies/refactoryBrowser/parser'    "RBFormatter - referenced by BrowserView>>updateCodeView "
	#'stx:goodies/refactoryBrowser/refactoring'    "AddParameterRefactoring - referenced by Tools::NewSystemBrowser>>codeMenuAddParameter "
	#'stx:libhtml'    "HTMLDocumentView - referenced by Tools::NewSystemBrowser>>openDocumentation "
	#'stx:libdb'    "SQL::SQLError - referenced by AbstractSettingsApplication::SourceCodeManagementSettingsAppl>>tryToConnectTo: "
	#'stx:libtool2'    "SnapShotImage - referenced by SystemBrowser class>>openOnSnapShotImage: "
    )
!

preRequisites
    ^ #(
	#'stx:libbasic'    "Object - superclass of VersionDiffBrowser::ClassChangeSet "
	#'stx:libbasic2'    "List - superclass of AbstractFileBrowser::DirectoryHistory "
	#'stx:libbasic3'    "ChangeSet - referenced by Tools::ProjectList>>nameListFor: "
	#'stx:libcomp'    "Parser - referenced by SystemBrowser class>>filterToSearchRefsTo:classVars:access: "
	#'stx:libui'    "VariablePanelSpec - superclass of FileBrowserV2UISpecifications::PanelSpec "
	#'stx:libview'    "TopView - superclass of FileBrowser "
	#'stx:libview2'    "SimpleDialog - superclass of FileDialog "
	#'stx:libwidg'    "DialogBox - superclass of AboutBox "
	#'stx:libwidg2'    "HierarchicalList - superclass of SettingsDialog::HierarchicalApplicationList "
    )
! !

!stx_libtool class methodsFor:'description - compilation'!

additionalDefinitions_bc_dot_mak
    ^ '
# see stdHeader_bc for LIBTOOL_BASE
# LIBTOOL_BASE   =0x64800000
LIB_BASE_LD_ARG=-b:$(LIBTOOL_BASE)
'
! !

!stx_libtool class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        AboutBox
        AbstractDirectoryBrowser
        AbstractFileApplicationNoteBookComponent
        AbstractFileBrowser
        AbstractLauncherApplication
        (AbstractRevisionItem autoload)
        AbstractSettingsApplication
        (AbstractVersionDiffBrowserItem autoload)
        (ApplicationBuilder autoload)
        BrowserView
        ChangeSetBrowser
        ChangesBrowser
        (ClassInspectorView autoload)
        (ClassItem autoload)
        (ClassItemRoot autoload)
        (ClassItemRootForRevision autoload)
        (ClassNameItem autoload)
        (ClassRevisionTree autoload)
        (ClassVariablesInspectorView autoload)
        CodeGeneratorTool
        (ColorInspectorView autoload)
        ContextInspectorView
        DebugView
        DictionaryInspectorView
        (Diff3TextView autoload)
        DiffTextView
        DirectoryContentsBrowser
        DirectoryTreeBrowser
        (EWorldIconLibrary autoload)
        (EventMonitor autoload)
        (ExpandableRevisionItem autoload)
        FileApplicationNoteBook
        FileBrowser
        FileBrowserV2
        FileBrowserV2PanelView
        (FileBrowserV2SettingsAppl autoload)
        (FileBrowserV2SettingsDialog autoload)
        (FileBrowserV2Tests autoload)
        FileBrowserV2UISpecifications
        FileDialog
        (FileDialogV2 autoload)
        FileOperation
        FilenameEditFieldV2
        FindFileApplication
        GenericToolbarIconLibrary
        (HierarchicalClassRevisionList autoload)
        (HierarchicalVersionDiffBrowser autoload)
        (ImageInspectorView autoload)
        InspectorView
        (Launcher autoload)
        (LibraryBuilder autoload)
        (MemoryMonitor autoload)
        (MemoryMonitorView autoload)
        (MemoryUsageView autoload)
        MultiViewToolApplication
        (NewChangesBrowser autoload)
        NewLauncher
        (OldLauncher autoload)
        OrderedCollectionInspectorView
        (ProcessMonitor autoload)
        ProcessMonitorV2
        (ProjectView autoload)
        (RCSConflictEditTextView autoload)
        (SemaphoreMonitor autoload)
        SetInspectorView
        SettingsDialog
        (SmalltalkInspectorView autoload)
        (SourceRevisionItem autoload)
        SystemBrowser
        (SystemStatusMonitor autoload)
        (TerminalApplication autoload)
        #'Tools::BrowserList'
        #'Tools::CheckinInfoDialog'
        #'Tools::ClassCategoryList'
        #'Tools::ClassChecker'
        #'Tools::ClassGeneratorList'
        #'Tools::ClassList'
        #'Tools::FullMethodCategoryList'
        #'Tools::HierarchicalClassCategoryList'
        #'Tools::HierarchicalClassList'
        #'Tools::HierarchicalProjectList'
        #'Tools::ImplementingClassList'
        #'Tools::ImplementingMethodList'
        #'Tools::InheritanceClassList'
        #'Tools::MethodCategoryCache'
        #'Tools::MethodCategoryList'
        #'Tools::MethodList'
        #'Tools::NamespaceList'
        #'Tools::NavigationState'
        #'Tools::NavigatorCanvas'
        #'Tools::NavigatorModel'
        #'Tools::NewSystemBrowser'
        #'Tools::OrganizerCanvas'
        #'Tools::ProjectList'
        #'Tools::SearchDialog'
        #'Tools::SpecialCodeView'
        #'Tools::VariableList'
        VersionDiffBrowser
        (VersionRevisionItem autoload)
        ViewWithAcceptAndCancelBar
        WorkspaceApplication
        XPToolbarIconLibrary
        #'stx_libtool'
        (#'Tools::ToDoList' autoload)
        (#'Tools::ToDoListBrowser' autoload)
        (#'Tools::ToDoListEntry' autoload)
        (#'Tools::ToDoNotification' autoload)
        (#'Tools::CompilerWarningToDoListEntry' autoload)
        #'Tools::CodeCritics'
        BookmarksEditDialog
        Win32FileDialog
        #'Tools::StringSearchTool'
        #'Tools::StringSearchToolForTextView'
        DiffCodeView
    )
!

extensionMethodNames
    ^ #(
	ByteArray inspectorExtraAttributes
	Color inspectorClass
	Dictionary inspectorClass
	Form inspectorClass
	Image inspectorClass
	Integer inspectorExtraAttributes
	Method inspectorExtraAttributes
	Method printStringForBrowserWithSelector:inClass:
	Method selectorPrintStringInBrowserFor:
	MethodDictionary inspectorClass
	OrderedCollection inspectorClass
	RunArray inspectorClass
	Set inspectorClass
	Text inspectorExtraAttributes
	#'NameSpace class' inspectorClass
	#'Smalltalk class' inspectorClass
	Character inspectorExtraAttributes
	Collection inspectorExtraAttributes
	Object inspectorExtraAttributes
	Object notifyTodo:position:className:selector:severity:priority:equalityParameter:checkAction:
	ExecutableFunction printStringForBrowserWithSelector:
	Method selectorPrintStringInBrowserFor:class:
    )
! !

!stx_libtool class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Tools'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2008\nCopyright eXept Software AG 1998-2008'

    "Modified: / 08-11-2007 / 16:58:51 / cg"
! !

!stx_libtool class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.31 2008-07-23 12:16:52 cg Exp $'
! !
